VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Excel to XML"
   ClientHeight    =   3480
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6720
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3480
   ScaleWidth      =   6720
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdClose 
      Cancel          =   -1  'True
      Caption         =   "&Close"
      Height          =   375
      Left            =   5640
      TabIndex        =   5
      Top             =   3000
      Width           =   975
   End
   Begin VB.Frame fraExport 
      Caption         =   "Export XML File Location"
      Height          =   1335
      Left            =   120
      TabIndex        =   8
      Top             =   1560
      Width           =   6495
      Begin VB.CommandButton cmdBrowse 
         Caption         =   "Browse.."
         Height          =   375
         Index           =   1
         Left            =   5400
         TabIndex        =   3
         Top             =   600
         Width           =   975
      End
      Begin VB.TextBox txtExportLocation 
         Height          =   285
         Left            =   960
         TabIndex        =   2
         Top             =   600
         Width           =   4335
      End
      Begin VB.Label lblXMLFileName 
         Caption         =   "FileName :"
         Height          =   255
         Left            =   120
         TabIndex        =   9
         Top             =   600
         Width           =   1215
      End
   End
   Begin VB.Frame fraExcel 
      Caption         =   "Locate Excel File"
      Height          =   1335
      Left            =   120
      TabIndex        =   6
      Top             =   120
      Width           =   6495
      Begin VB.TextBox txtExcelLocation 
         Height          =   285
         Left            =   960
         TabIndex        =   0
         Top             =   600
         Width           =   4335
      End
      Begin VB.CommandButton cmdBrowse 
         Caption         =   "Browse.."
         Height          =   375
         Index           =   0
         Left            =   5400
         TabIndex        =   1
         Top             =   600
         Width           =   975
      End
      Begin VB.Label lblExcelFileName 
         Caption         =   "FileName :"
         Height          =   255
         Left            =   120
         TabIndex        =   7
         Top             =   600
         Width           =   1215
      End
   End
   Begin VB.CommandButton cmdExport 
      Caption         =   "&Export"
      Height          =   375
      Left            =   4560
      TabIndex        =   4
      Top             =   3000
      Width           =   975
   End
   Begin VB.Label lblCredits 
      Caption         =   "Woods && Saunders Production"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00808080&
      Height          =   255
      Left            =   120
      TabIndex        =   10
      Top             =   3000
      Width           =   3855
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ========================================================
' All Code was Written By Scott Woods 16/12/2000
' woods@powerup.com.au : Applications Developer for Woolworths Ltd.
' Australia.
'
' Info :    You will need the following Reference
'
'           ADO 2.5 or Higher (Default in Win2000)
'
' ========================================================

Private Sub cmdBrowse_Click(Index As Integer)

' ==============================================================
' AIM : To open common dialog box to open and save files
' ==============================================================

On Error GoTo cmdBrowse_ClickErr

    ' Determine which browse button was pressed
    Select Case Index
        
    Case 0 ' Browse for Excel file
    txtExcelLocation = OpenFile(frmMain.hWnd, True)
    
    Case 1 ' XML Export Location
    txtExportLocation = OpenFile(frmMain.hWnd, False)
    
    ' Make sure that the save file has an xml extension
    If txtExportLocation <> vbNullString Then
        txtExportLocation = ApplyExtension(txtExportLocation, "xml")
    End If
    
    End Select

cmdBrowse_ClickExit:
    Exit Sub

cmdBrowse_ClickErr:
    ErrHandler
End Sub

Private Sub cmdClose_Click()
    ' Exit Application
    End
End Sub

Private Sub cmdExport_Click()

On Error GoTo cmdExport_ClickErr

' Make sure there's a xml extension applied to the save filename
If txtExportLocation <> vbNullString Then
   txtExportLocation = ApplyExtension(txtExportLocation, "xml")
End If
' Sets the Connection String to the Excel Spread Sheet
SetConnection (txtExcelLocation)

If txtExcelLocation <> vbNullString Then
    ' Pass up the Filenames of the XML and
    ' Excel files to frmChooseSheet
    frmChooseSheet.ExcelFileName = txtExcelLocation
    frmChooseSheet.XMLFileName = txtExportLocation
    ' Open the Select Sheet Window
    frmChooseSheet.Show vbModal, frmMain
Else
    MsgBox "Please make sure you have a vaild XML and Excel Filename.", vbInformation
End If

cmdExport_ClickExit:
    Exit Sub

cmdExport_ClickErr:
    ErrHandler
End Sub

Private Sub Form_Load()
    frmMain.Caption = "Excel to XML. Version " & App.Major & "." & _
                      App.Minor & "." & App.Revision
End Sub
